// Displayobject.cpp: implementation of the CBaseObject class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Thunder.h"
#include "Displayobject.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CBaseObject::CBaseObject()
{
	
}

CBaseObject::~CBaseObject()
{

}

//////////////////////////////////////////////////////////////////////
// CPlane Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPlane::CPlane()
{
	m_fLastFireTime = 0;
	m_dwBulletType = 0x00000001;
	m_fRechargeTime = 120;
	m_fVel = 0.25f;
	m_fAngle = 0.0f;
	m_fAngleX = m_fAngleY = 0.0f;
	m_fHeight = 1.0f;
	m_fSize = 1.0f;
	m_dwMark = 0;
	m_dwType = PLANE_USER;
	m_dwCurrentShipType = 0L;
	m_nHealth = 1;// the remaining health of the plane
}

CPlane::~CPlane()
{

}

//////////////////////////////////////////////////////////////////////
// CMissile Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMissile::CMissile()
{
	m_fTransition = 0.0f;
	m_fRange = 20.0f;
	m_fVel = 0.3f;
	m_fAngleX = m_fAngleY = 0.0f;
	m_fHeight = 1.0f;
	m_dwMark = 0;
	m_dwType = MSIL_NORMAL;
	m_fSize = 0.0f; // missile does not have a size
	m_nManufactory = USER;
	m_nAttackPoint = 1; // how much damage it caused when hit a plane		

}

CMissile::~CMissile()
{

}

//////////////////////////////////////////////////////////////////////
// CEnemy Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CEnemy::CEnemy()
{
	m_dwType = PLANE_ENEMY1;
	m_fRechargeTime = 1000;
	m_dwCurrentShipType = 1L;

	m_fVel = 0.25f;
}

CEnemy::~CEnemy()
{

}


//////////////////////////////////////////////////////////////////////
// CTrackMissile Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CTrackMissile::CTrackMissile()
{
	m_dwType = MSIL_TRACK;
}

CTrackMissile::~CTrackMissile()
{

}
